Package ch.qos.logback.core.rolling.helper

# Class TokenConverter

java.lang.Object
ch.qos.logback.core.rolling.helper.TokenConverter

public class TokenConverter extends Object
`TokenConverter` offers some basic functionality used by more specific token converters.

It basically sets up the chained architecture for tokens. It also forces derived classes to fix their type.

Since:
  1.3
Author:
  Ceki

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TokenConverter(int t)`

## Method Summary

Modifier and Type
Method
Description
`TokenConverter`
`getNext()`
`int`
`getType()`
`void`
`setNext(TokenConverter next)`
`void`
`setType(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenConverter

protected TokenConverter(int t)

## Method Details

### getNext

public TokenConverter getNext()

### setNext

public void setNext(TokenConverter next)

### getType

public int getType()

### setType

public void setType(int i)